namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "super_fang")]
public class SuperFang : Script, IScriptChangeMoveDamage
{
    /// <inheritdoc />
    public void ChangeMoveDamage(IExecutingMove move, IPokemon target, byte hit, ref uint damage)
    {
        // Super Fang always does 50% of the target's current HP
        damage = target.CurrentHealth / 2;
    }
}